Skip to navigation

Delete multiple object records (up to 1000) asynchronously

View as Markdown

Use this endpoint to delete multiple object records of the same object-type in one request. The request is accepted and processed asynchronously. You can track the status of the deletion process using the returned processId. Limitations: - Each request can contain up to 1000 object record identifiers - Either ids or ext_ids must be provided, but not both in the same request - Deletion of Brevo standard object records is not supported via this endpoint - If more records must be deleted, send multiple batch requests

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

OR
AuthorizationBearer

OAuth 2.0 client_credentials (machine-to-machine) grant. Exchange your app’s client_id/client_secret for a short-lived Bearer token.

Path parameters

object_typestringRequired
Object type for the records to delete

Request

List of object record identifiers to delete
identifiersanyOptional

Either ids or ext_ids must be provided, but not both in the same request.

Response

Batch request accepted for deletion - process started

processIdlongOptional
Identifier for batch process tracking
messagestringOptional

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error